summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2022-01-10 22:30:54 -0500
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-01-17 09:03:27 +0700
commit8fe2b6197cbecda69f7f8a62a0af3812342e7d75 (patch)
treefdfc9e9685e910d0f66db3d7e5f6f2648ee622e1 /perl
parente9620c13021fbc08e12e8686985bb4918744497d (diff)
downloadslackbuilds-8fe2b6197cbecda69f7f8a62a0af3812342e7d75.tar.gz
slackbuilds-8fe2b6197cbecda69f7f8a62a0af3812342e7d75.tar.xz
perl/perl-WebService-MusicBrainz: New maintainer.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-WebService-MusicBrainz/README6
-rw-r--r--perl/perl-WebService-MusicBrainz/perl-WebService-MusicBrainz.SlackBuild51
-rw-r--r--perl/perl-WebService-MusicBrainz/perl-WebService-MusicBrainz.info4
3 files changed, 23 insertions, 38 deletions
diff --git a/perl/perl-WebService-MusicBrainz/README b/perl/perl-WebService-MusicBrainz/README
index a30fde7361..8e4d8581da 100644
--- a/perl/perl-WebService-MusicBrainz/README
+++ b/perl/perl-WebService-MusicBrainz/README
@@ -1,5 +1,11 @@
+perl-WebService-MusicBrainz (retrieve music metadata)
+
WebService::MusicBrainz searches the MusicBrainz database, which
contains a huge amount of music metadata, through the database's web
service and returns objects with the found data.
abcde can use WebService::MusicBrainz to look up metadata.
+
+Note: By default, the test suite is not run, because it requires a
+network connection. You can enable it by exporting TESTS=yes in the
+script's environment.
diff --git a/perl/perl-WebService-MusicBrainz/perl-WebService-MusicBrainz.SlackBuild b/perl/perl-WebService-MusicBrainz/perl-WebService-MusicBrainz.SlackBuild
index 5db5e4b3da..881f78f4a2 100644
--- a/perl/perl-WebService-MusicBrainz/perl-WebService-MusicBrainz.SlackBuild
+++ b/perl/perl-WebService-MusicBrainz/perl-WebService-MusicBrainz.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for perl-WebService-MusicBrainz
-# Copyright 2016-2019 Andreas Voegele <andreas@andreasvoegele.com>
+# Copyright 2016-2019 Andreas Voegele <email removed>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
@@ -16,6 +16,11 @@
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+# 20220110 bkw:
+# - take over maintenance.
+# - ARCH=noarch.
+# - build option TESTS=yes to run 'make test'.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=perl-WebService-MusicBrainz
@@ -26,17 +31,8 @@ PKGTYPE=${PKGTYPE:-tgz}
SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
-fi
+ARCH=noarch
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -46,20 +42,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
-
set -e
rm -rf $PKG
@@ -69,26 +51,23 @@ rm -rf $SRCNAM-$VERSION
tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
cd $SRCNAM-$VERSION
chown -R root:root .
-find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
perl Makefile.PL \
INSTALLDIRS=vendor \
INSTALLVENDORMAN1DIR=/usr/man/man1 \
INSTALLVENDORMAN3DIR=/usr/man/man3
make
-# The test suite requires a network connection.
-#make test
-make install DESTDIR=$PKG
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+# The test suite requires a network connection.
+[ "${TESTS:-no}" = "yes" ] && make test
-find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+make install DESTDIR=$PKG
+gzip -9 $PKG/usr/man/man*/*
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | \
+ xargs rm -f || true
find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/perl/perl-WebService-MusicBrainz/perl-WebService-MusicBrainz.info b/perl/perl-WebService-MusicBrainz/perl-WebService-MusicBrainz.info
index bdcf85acdc..61efed667c 100644
--- a/perl/perl-WebService-MusicBrainz/perl-WebService-MusicBrainz.info
+++ b/perl/perl-WebService-MusicBrainz/perl-WebService-MusicBrainz.info
@@ -6,5 +6,5 @@ MD5SUM="69cd2eae86c5b6ac360a1f829e784239"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="perl-Mojolicious"
-MAINTAINER="Didier Spaier"
-EMAIL="didier at slint dot fr"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"